<%@page import="java.util.*,java.io.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.*" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
	String persona = (String) session.getAttribute("persona");
%>
<%@ include file="/m05bIdioma.inc"%>
	
	<HTML>

	<%
		String matricula=request.getParameter("Matricula");
      	if (matricula==null || matricula.equals("NULL")){
          	matricula="";
      	}
%>
	
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Funciones.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Fechas.js"></script>
		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05Horas.js"></script>

<head>
  <title><%= resTit.getString("titVehSanciones")%></title>
  <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
  <link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
<script language="JavaScript">
 function fncModificar(codigo) {
        document.formVehSancion.action="m05bGenerarSancionesServlet?Matricula=<%=matricula%>&Codigo=" + codigo+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value;;
        document.formVehSancion.submit();
      }
      function  fncNuevo(){
         document.formVehSancion.action="m05bSancionesJsp.jsp?Matricula=<%=matricula%>"+ "&Habilitar="+parent.document.formVehiculos.Habilitar.value;;
         document.formVehSancion.submit();
      }
</SCRIPT>
</head>
<BODY   style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
<script>
	 var urlIdioma;
	 urlIdioma = "<%=m05bConstantesPaginas.VEH_GESTION_SANCIONES%>?Matricula=<%=matricula%>";
	 var urlCambioVentana;
	 urlCambioVentana = "<%=m05bConstantesPaginas.VEH_GESTION_SANCIONES%>";	 
</script>			
<%@include file="m05bVehiculosFijo.inc"%>			
			
<FORM NAME="formVehSancion" METHOD="POST">
		  <% m05bFileLog miLog = new m05bFileLog(); %>
	
		<%int contador=0;%>    
			
		<%
		StringBuffer sql = new StringBuffer();

		String Codigo="",Tipo="", COrg="",DOrg="";
		String FSancion="", NExpSancion="", HSancion="";
		String NExpDenuncia="", FDenuncia="", HDenuncia="";
		String FNotDpto="", FNotCond="";
		String FRecep="", FRecDatos="";
		String FApremio="";
		String FResolucion="";

		//m05bComun comun = new m05bComun();

		sql.append("SELECT ").append(m05bConstantes.COL_45_CODIGO).append(",");
		sql.append(m05bConstantes.COL_45_COD_ORG).append(",").append(m05bConstantes.COL_45_DESC_ORG);
		sql.append(",").append(m05bConstantes.COL_45_FRECEPC).append(",");
		sql.append(m05bConstantes.COL_45_FDENUNCIA).append(",").append(m05bConstantes.COL_45_NEXP_DENUNCIA).append(",");
		sql.append(m05bConstantes.COL_45_FSANCION).append(",").append(m05bConstantes.COL_45_NEXP_SANCION).append(",");
		sql.append(m05bConstantes.COL_45_FNOTIF_DPTO).append(",").append(m05bConstantes.COL_45_FNOTIF_COND).append(",");
		sql.append(m05bConstantes.COL_48_DESC_ORG).append(",").append(m05bConstantes.COL_48_EDESC_ORG).append(",");    
        sql.append(m05bConstantes.COL_45_FREC_DATOS).append(",");        
        sql.append("NVL("+ campoTexto+m05bConstantes.COL_99_DESCRIPCION+","+m05bConstantes.COL_99_DESCRIPCION+"),");	
        sql.append(m05bConstantes.COL_45_FAPREMIO).append(",").append(m05bConstantes.COL_45_FRESOLUCION);	
		sql.append(" FROM ").append(m05bConstantes.TAB_SANCIONES).append(", ").append(m05bConstantes.TAB_ORGANISMOS);
		sql.append(", ").append(m05bConstantes.TAB_DESCRIPCIONES);
		sql.append(" WHERE ").append(m05bConstantes.COL_45_MATRICULA);
		sql.append("='").append(matricula).append("'");
		sql.append(" AND ").append(m05bConstantes.COL_45_COD_ORG).append(" = ").append(m05bConstantes.COL_48_COD_ORG).append("(+)");
		sql.append(" and  cod_tab_99=17 and cod_desc_99=Tipo_45");

		miLog.addTraza(persona , "m05bVehSanciones" , "sql: " + sql.toString(), m05bConstantes.LOG_NIVEL_BAJO);
		%>
    <% if ((!(situacion.equals("B"))) && (sExisteMatricula.equals("1")) ) {%>
		
		  <TABLE class="general">
			    <tr>
			      <td align="right"> 
			          <!--INPUT TYPE="IMAGE" style="cursor:hand" VALUE="Nuevo" ONCLICK="JavaScript:fncNuevo();"  src="/parquemovil/images/nuevo.gif"/--> 
                      <input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />				      			          
			      </td>
				</tr>
		  </TABLE>
     <%}%>
		  <TABLE class="general">
		    <tr>
		      <td align="left" class="inputFieldTitle"><%= res.getString("etCodigo")%></td>
		      <td align="left" class="inputFieldTitle"><%= res.getString("etTipo")%></td>
		      <!--Con TEXT AREA -->
		      <td align="left" class="inputFieldTitle"><%= res.getString("etOrganismo")%></td>
		      <!--td align="left" class="inputFieldTitle">Cod.&nbsp;Orga.</td-->
		      <!--td align="left" class="inputFieldTitle">Desc.&nbsp;Orga.</td-->
		      <td align="left" class="inputFieldTitle"><%= res.getString("etFRecep")%></td>
		      <!--Con TEXT AREA -->
		      <td align="left" class="inputFieldTitle"><%= res.getString("etFHDenuncia")%></td>
		      	  
		      <!--td align="left" class="inputFieldTitle">Fecha&nbsp;Denuncia</td-->
		      <!--td align="left" class="inputFieldTitle">Hora&nbsp;Denuncia</td-->
		      <!--td align="left" class="inputFieldTitle">N&nbsp;Expte&nbsp;Denuncia</td-->
		      <!--Con TEXT AREA -->
		      <!--td align="left" class="inputFieldTitle">Sanci&oacute;n</td-->
		      
		      <td align="left" class="inputFieldTitle"><%= res.getString("etFHSancion")%></td>
		      <!--td align="left" class="inputFieldTitle">N&nbsp;Expte&nbsp;Sanci&oacute;n</td-->
		      <!--Con TEXT AREA -->
		      <td align="left" class="inputFieldTitle"><%= res.getString("etFApremio")%></td>
		      <td align="left" class="inputFieldTitle"><%= res.getString("etFechaResolucion")%></td>
		      
		      <!--td align="left" class="inputFieldTitle">Notificaci&oacute;n Dpto.</td-->
		      
		      <!--td align="left" class="inputFieldTitle">Fec.Notif&nbsp;Dpto</td-->
		      <!--td align="left" class="inputFieldTitle">Fec.Notif&nbsp;Cond</td-->
		      <!--td align="left" class="inputFieldTitle">F. Recepci&oacute;n Datos</td-->

		    </tr>
		    <%
		        try {
			           if (!matricula.equals("")){
					           //m05bbBeginSelect(sql.toString());
					           //m05bRS = m05bPStmt.executeQuery();
					           conexion = miConexion.getConnection();
					           conexion.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit
					           pstmt2 = conexion.prepareStatement(sql.toString());
							   rs2 = pstmt2.executeQuery();
					           while (rs2.next() == true){
						               contador=contador + 1;
						               Codigo=rs2.getString(m05bConstantes.COL_45_CODIGO);
						               Tipo=rs2.getString(14) == null ? "" : rs2.getString(14);
						               COrg=rs2.getString(m05bConstantes.COL_45_COD_ORG) == null ? "" : rs2.getString(m05bConstantes.COL_45_COD_ORG);
						               
						               DOrg=(idiomaSes!=null && idiomaSes.equals("es"))?rs2.getString(m05bConstantes.COL_48_DESC_ORG):rs2.getString(m05bConstantes.COL_48_EDESC_ORG);						              
						               DOrg=(DOrg==null)?"":DOrg;
						               
						               FRecep=rs2.getString(m05bConstantes.COL_45_FRECEPC);
						               if (FRecep==null ||FRecep.equals(""))
						                   	FRecep="";
						               else
						                   	FRecep=comun.Mes(FRecep,campoTexto3);
						               FDenuncia=rs2.getString(m05bConstantes.COL_45_FDENUNCIA);
						               if (FDenuncia==null ||FDenuncia.equals("")){
						                   	FDenuncia="";
	                                        HDenuncia="";}						               
						               else{
						                   	HDenuncia=comun.Hora(FDenuncia);
						                   	HDenuncia=comun.formatearHora(HDenuncia);
						                   	FDenuncia=comun.Mes(FDenuncia,campoTexto3);
						               }
		miLog.addTraza(persona , "m05bVehSanciones" , "FDenuncia/Hora: " + FDenuncia+" "+HDenuncia, m05bConstantes.LOG_NIVEL_BAJO);
						               FSancion=rs2.getString(m05bConstantes.COL_45_FSANCION);
						               if (FSancion==null ||FSancion.equals("")){
						                   	FSancion="";
						                    HSancion="";}
						               else{
						                   	HSancion=comun.Hora(FSancion);
						                   	HSancion=comun.formatearHora(HSancion);
						                   	FSancion=comun.Mes(FSancion,campoTexto3);}
		miLog.addTraza(persona , "m05bVehSanciones" , "FSancion/Hora: " + FSancion+" "+HSancion, m05bConstantes.LOG_NIVEL_BAJO);
						                   	
						               //NExpSancion=rs2.getString(m05bConstantes.COL_45_NEXP_SANCION);
						               //if (NExpSancion==null)
						               //    	NExpSancion="";
						               //FNotCond=rs2.getString(m05bConstantes.COL_45_FNOTIF_COND);
						               //if (FNotCond==null ||FNotCond.equals(""))
						               //    	FNotCond="";
						               //else
						               //    	FNotCond=comun.Mes(FNotCond);
						               //FNotDpto=rs2.getString(m05bConstantes.COL_45_FNOTIF_DPTO);
						               //if (FNotDpto==null ||FNotDpto.equals(""))
						               //    	FNotDpto="";
						               //else
						               //    	FNotDpto=comun.Mes(FNotDpto);
						               //FRecDatos=rs2.getString(m05bConstantes.COL_45_FREC_DATOS);
						               //if (FRecDatos==null ||FRecDatos.equals(""))
						               //    	FRecDatos="";
						               //else
						               //    	FRecDatos=comun.Mes(FRecDatos);
						               
						               FApremio=rs2.getString(m05bConstantes.COL_45_FAPREMIO);
						               if (FApremio==null ||FApremio.equals(""))
						                   	FApremio="";
						               else{
						                   	FApremio=comun.Mes(FApremio,campoTexto3);
						               }
		miLog.addTraza(persona , "m05bVehSanciones" , "FApremio: " + FApremio, m05bConstantes.LOG_NIVEL_BAJO);
						               FResolucion=rs2.getString(m05bConstantes.COL_45_FRESOLUCION);
						               if (FResolucion==null ||FResolucion.equals(""))
						                   	FResolucion="";
						               else{
						                   	FResolucion=comun.Mes(FResolucion,campoTexto3);
						               }
		miLog.addTraza(persona , "m05bVehSanciones" , "FResolucion: " + FResolucion, m05bConstantes.LOG_NIVEL_BAJO);
						               %>
						               <tr>
										      <td align="left" class="inputFieldTitleBlank"><A href="JavaScript:fncModificar('<%=Codigo%>')"><%=Codigo%></A></td>
										      <td align="left" class="inputFieldTitleBlank"><%=Tipo%></td>
										      <!--Con TEXT AREA -->
										      <td align="left" class="inputFieldTitleBlank"><%=DOrg%></td>
										      <td align="left" class="inputFieldTitleBlank"><%=FRecep%></td>
										      <!--Con TEXT AREA -->
										      <td align="left" class="inputFieldTitleBlank"><%=FDenuncia%>&nbsp;&nbsp;<%=HDenuncia%></textarea></td>
											  <td align="left" class="inputFieldTitleBlank"><%=FSancion%>&nbsp;&nbsp;<%=HSancion%></textarea></td>
										      <td align="left" class="inputFieldTitleBlank"><%=FApremio%></td>
										      <td align="left" class="inputFieldTitleBlank"><%=FResolucion%></td>
						    		   </tr>
					           <%}
			    	   }   // Fin if
		  } catch (Exception ex){
		   		miLog.addTraza(ex);
		  } finally {
				if (rs2 != null)
					rs2.close();
				if (pstmt2 != null)
					pstmt2.close();
				if (conexion != null)
					conexion.close();
		  }
		    %>
		  </TABLE>
		   <TABLE class="general">
				<tr> </tr>
				<tr align="center">
					<td class="inputField" colspan="6"><%= res.getString("etTotal")%><%=contador%></td>
			 	</tr>
				<tr> </tr>
			  </TABLE>
</FORM>
 </td>
</tr>
<tr>
	<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%></td>
</tr>
</table>
<SCRIPT language='javascript'>
    setTimeout('initSlide();', 1);
</SCRIPT>
<SCRIPT>
   var tabSanciones=document.getElementById("tabSanciones");
   
   tabSanciones.style.backgroundColor="#000078"	;
</SCRIPT>
	</BODY>
</HTML>